<script type="text/javascript">
ejecutarGuardar = function()
{
	mostrarCargaImg();
	var strFormSerialize = $( 'form' ).serialize();
    executeAjaxJson( 
                        "<?=buildUrl( 'pro/saveClieCustom', 's_TipoProc=nvo' )?>", 
                        strFormSerialize,
                        function( o_json )
                        {
                            console.log( o_json );
                            ocultarCargaImg();
                            if( o_json.error )
                            {
                                mostrarMensajeError( o_json.mensaje_error );
                                return false;
                            }
                            parent.asignarValores( o_json.id );
                        } 
                   );
}

inputDocumento= function( object )
{
    activarTextRUC();

	$( "#Documento" ).attr( "maxlength", "15");	
	
	if( object.value == "RUC" )
    {
		$( "#Documento" ).attr( "maxlength", "11");
	}
	if( object.value == "DNI" )
    {
		$( "#Documento" ).attr( "maxlength", "8");
	}
    $( "#Documento" ).val( "" );
}
activarText = function()
{
    var clase_persona = $( "#ClasePersona" ).val();
    if( clase_persona == "J" )
    {
        //$( "#NombreCompleto" ).val( "" );
        $( "#Nombres" ).prop( "disabled", true );
        $( "#ApellidoPaterno" ).prop( "disabled", true );
        $( "#ApellidoMaterno" ).prop( "disabled", true );
        
        $( "#NombreCompleto" ).prop( "disabled", false );
        $( "#Sexo" ).prop( "disabled", true );
		$( "#d_nombres" ).hide();
		$( "#d_razonsocial" ).show();

        $( "#TipoDocumento" ).val( "RUC" );

        //$( "#DocumentoIdentidadTxt" ).hide();
        //$( "#DocumentoIdentidad" ).hide();
    }
    else
    {
        //$( "#NombreCompleto" ).val( "" );
        $( "#Nombres" ).prop( "disabled", false );
        $( "#ApellidoPaterno" ).prop( "disabled", false );
        $( "#ApellidoMaterno" ).prop( "disabled", false );
        
        $( "#NombreCompleto" ).prop( "disabled", true );
        $( "#Sexo" ).prop( "disabled", false );
		
		$( "#d_nombres" ).show();
		$( "#d_razonsocial" ).hide();
        $( "#TipoDocumento" ).val( "DNI" );

        //$( "#DocumentoIdentidadTxt" ).hide();
        //$( "#DocumentoIdentidad" ).hide();
    }

    activarTextRUC();
}
/*activarTextRUC = function()
{
    if( $( "#TipoDocumento" ).val() == "RUC" )
    {
        $( "#d_razonsocial" ).show();
        $( "#NombreCompleto" ).prop( "disabled", false );

        $( "#DocumentoIdentidadTxt" ).show();
        $( "#DocumentoIdentidad" ).show();
    }
    else
    {
        $( "#d_razonsocial" ).hide();
        $( "#NombreCompleto" ).prop( "disabled", true );

        $( "#DocumentoIdentidadTxt" ).hide();
        $( "#DocumentoIdentidad" ).hide();
    }
}*/
activarTextRUC = function()
{
    if( $( "#ClasePersona" ).val() == "J" && $( "#TipoDocumento" ).val() == "RUC" )
    {
        $( "#DocumentoIdentidadTxt" ).hide();
        $( "#DocumentoIdentidad" ).hide();
    }

    if( $( "#ClasePersona" ).val() == "N" && $( "#TipoDocumento" ).val() == "DNI" )
    {
        $( "#DocumentoIdentidadTxt" ).hide();
        $( "#DocumentoIdentidad" ).hide();

        $( "#NombreCompleto" ).prop( "disabled", true );
        $( "#d_razonsocial" ).hide();
    }

    if( $( "#ClasePersona" ).val() == "N" && $( "#TipoDocumento" ).val() == "RUC" )
    {
        $( "#DocumentoIdentidadTxt" ).show();
        $( "#DocumentoIdentidad" ).show();

        $( "#d_razonsocial" ).show();
        $( "#NombreCompleto" ).prop( "disabled", false );
    }
    
}
</script>
<?php if( $o_MST_PersonaMastBN->getIdPersona() ){ $s_Disabled = "disabled"; }else{ $s_Disabled = ""; } ?>
<input type="hidden" name="i_Id" id="i_Id" value="<?=$o_MST_PersonaMastBN->getIdPersona()?>">
<input type="hidden" name="Estado" id="Estado" value="A">
<input type="hidden" name="TipoPersona[]" id="EsCliente" value="EsCliente">
<div id="resultContent" style=""></div>

<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%">
    <tr>
        <td width="35%" style="vertical-align: top;">

<table border="0" cellspacing="0" cellpadding="0" style="width: 100%;">
    <tr>
        <td width="100%" valign="top" >
            <fieldset class="formGen" style="margin-top:0px">
                <table border="0" cellspacing="6" cellpadding="0" style="width: 100%;">
	                <tr>
	                    <td nowrap="nowrap" width="10%"><label class="label req" for="ClasePersona" >Tipo</label></td>
	                    <td nowrap="nowrap" width="50%">
	                        <select class="combo required" name="ClasePersona" id="ClasePersona" onchange="activarText();" style="width: 90%">
                                <option value="J" <?php if( $o_MST_PersonaMastBN->getTipoPersona()=="J" ){ echo "SELECTED"; } ?>> JURIDICA </option>
                                <option value="N" <?php if( $o_MST_PersonaMastBN->getTipoPersona()=="N" ){ echo "SELECTED"; } ?>> NATURAL </option>
	                        </select>
	                    </td>
                    </tr>
                    <tr>
	                    <td nowrap="nowrap" width="20%" colspan="2" align="center">
                            <select class="combo" name="TipoDocumento" id="TipoDocumento" onchange="inputDocumento(this);" style="">
                                <option value="RUC" <?php if( $o_MST_PersonaMastBN->getTipoDocumento()=="RUC" ){ echo "SELECTED"; } ?>> RUC </option>
                                <option value="DNI" <?php if( $o_MST_PersonaMastBN->getTipoDocumento()=="DNI" ){ echo "SELECTED"; } ?>> DNI </option>
                                <!--<option value="PASAPORTE" <?php if( $o_MST_PersonaMastBN->getTipoDocumento()=="PASAPORTE" ){ echo "SELECTED"; } ?>> PASAPORTE </option>
                                <option value="OTRO" <?php if( $o_MST_PersonaMastBN->getTipoDocumento()=="OTRO" ){ echo "SELECTED"; } ?>> OTRO </option>-->
                            </select>
                            <input class="text required" type="text" name="Documento" id="Documento" value="<?=$o_MST_PersonaMastBN->getDocumento()?>" onkeypress="return NumCheckDecimal( event, this );" />
                        </td>
	                    
	                </tr>
	                <tr id="d_nombres">
                        <td nowrap="nowrap" colspan="4">
                            <table cellpadding="1" cellspacing="0" border="0" width="100%">
                                <tr>
                                    <td><label class="label req" for="Nombres" >Nombres</label></td>
                                    <td><input type="text" class="text required" name="Nombres" id="Nombres" value="<?=$o_MST_PersonaMastBN->getNombres()?>" autocomplete="off"></td>
                                </tr>
                                <tr>
                                    <td><label class="label req" for="ApellidoPaterno" >Ap. Paterno</label></td>
                                    <td><input type="text" class="text required" name="ApellidoPaterno" id="ApellidoPaterno" value="<?=$o_MST_PersonaMastBN->getApellidoPaterno()?>" autocomplete="off"></td>
                                </tr>
                                <tr>
                                    <td><label class="label req" for="ApellidoMaterno" >Ap. Materno</label></td>
                                    <td><input type="text" class="text required" name="ApellidoMaterno" id="ApellidoMaterno" value="<?=$o_MST_PersonaMastBN->getApellidoMaterno()?>" autocomplete="off"></td>
                                </tr>
                                <tr>
                                    <td><label class="label req" for="ApellidoMaterno" >Sexo</label></td>
                                    <td>
                                        <select class="combo required" name="Sexo" id="Sexo" >
                                            <option value=""> - Seleccione - </option>
                                            <option value="F" <?php if( $o_MST_PersonaMastBN->getSexo()=="F" ){ echo "SELECTED"; } ?>> FEMENINO </option>
                                            <option value="M" <?php if( $o_MST_PersonaMastBN->getSexo()=="M" ){ echo "SELECTED"; } ?>> MASCULINO </option>
                                        </select>
                                    </td>
                                </tr>
                            </table>
                        </td>
	                </tr>
	                
                    <tr id="d_razonsocial">
                        <td nowrap="nowrap"><label class="label req" for="NombreCompleto" >Razon Social</label></td>
                        <td nowrap="nowrap">
                            <input class="text" type="text" name="NombreCompleto" id="NombreCompleto" value="<?=$o_MST_PersonaMastBN->getNombreCompleto()?>" style="width: 95%"/>
                        </td>
                    </tr>

                    <tr>
                        <td><label class="label req" for="DocumentoIdentidad" id="DocumentoIdentidadTxt" >DNI</label></td>
                        <td><input class="text" type="text" name="DocumentoIdentidad" id="DocumentoIdentidad" value="<?=$o_MST_PersonaMastBN->getDocumentoIdentidad()?>" /></td>
                    </tr>

                    <tr>
                        <td nowrap="nowrap"><label class="label req" for="Direccion" >Direcci&oacute;n</label></td>
                        <td nowrap="nowrap"><textarea class="" name="Direccion" id="Direccion" rows="2" style="width: 95%"><?=$o_MST_PersonaMastBN->getDireccion();?></textarea></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><label class="label req" for="Email" >&nbsp;&nbsp;Email</label></td>
                        <td nowrap="nowrap"><input class="text" type="text" name="Email" id="Email" value="<?=$o_MST_PersonaMastBN->getEmail()?>"  maxlength="120"/></td>
                    </tr>
                    <tr>
                        <td nowrap="nowrap"><label class="label req" for="Email" >&nbsp;&nbsp;Es Agente Retenedor</label></td>
                        <td nowrap="nowrap">
                            <select class="form-control w-50" id="EsAgenteRetenedor" name="EsAgenteRetenedor"  >
                                <option value="0" <?php if( $o_MST_PersonaMastBN->getEsAgenteRetenedor()==0 ){ echo "SELECTED"; } ?> > NO </option>
                                <option value="1" <?php if( $o_MST_PersonaMastBN->getEsAgenteRetenedor()==1 ){ echo "SELECTED"; } ?> > SI </option>
                            </select>
                            <select class="form-control w-50" id="IdRetencion" name="IdRetencion"  >
                                <option value="0"> - PORCENTAJE - </option>
                                <?php foreach( MST_PersonaMastBN::getArrayRetenciones() as $i_Id => $a_Valores ){ ?>
                                    <option value="<?=$i_Id?>" <?php if( $o_MST_PersonaMastBN->getIdRetencion()==$i_Id ){ echo "SELECTED"; } ?> > <?=$a_Valores['Descripcion']?> </option>
                                <?php } ?>
                            </select>
                        </td>
                    </tr>
                </table>

                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td>
                            <table width="100%" border="0" style="margin-top: 10px;">
                                <tr>
                                    <td align="center" width="100%">
                                        <input type="button" class="button" value="Cancelar" onclick="parent.$( '#dialog2' ).dialog( 'close' );">
                                        <!--<input type="submit" class="button" value="Grabar" onclick="">-->
                                        <input type="submit" class="button" value="Grabar y Salir" onclick="$( '#TypeSub' ).val( '1' );">
                                        
                                        <div id="s_ImagenLoad" style="display: none;"><img src="<?php echo Constantes::ROOT_DIR_APP ?>web/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Grabando...</label></div>
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </fieldset>
            <script type="text/javascript">
            activarText();
            inputDocumento($('#TipoDocumento'));
            $(document).ready(function () {
            	$.validator.addMethod("Documento", function(value, element) {
            	    var response;
            	    cadena_values = $( 'form' ).serialize();
            	    $.ajax({
            	        type: "GET",
            	        url: "<?php echo buildUrlComplet( 'mst.php/persona/request' ) ?>",
            	        data:"TipoProc=ValidarDocumento&valor"+cadena_values,
            	        async:false,
            	        success:function(data){
            	            response = data;
            	        }
            	    });
            	    if(response == 0)
            	    {
            	        return true;
            	    }
            	    else if(response == 1)
            	    {
            	        return false;
            	    }
            	}, "Documento ya existe.");
            	
            	
            	$.validator.setDefaults
            	(
            	    {
            	        submitHandler: function( form ) 
            	        {
            	            ejecutarGuardar();
            	        },
            	         rules: {
            	            Documento: {
            	                Documento: true,
            	                required: true
            	            }
            	        }
            	    }
            	);
            	
            	$( "#form1" ).validate();
            });
            </script>
        </td>
    </tr>
</table>

        </td>

        <td width="65%" style="height: 100%;">

<div id="tabs">
    <ul>
        <li><a href="#tabs-1" id="tab_1" onclick="activarTabs( this, 1 );">Buscar DNI</a></li>
        <li><a href="#tabs-2" id="tab_2" onclick="activarTabs( this, 2 );">Buscar en Sunat</a></li>
    </ul>
    <div id="tabs-1">
        
    </div>
    <div id="tabs-2">
    
    </div>
</div>
        </td>

    </tr>
</table>

<script>
var tabs = $( "#tabs" ).tabs();

activarTabs = function( elm, index )
{
    if( index == 1 )
    {
        //$( "#tabs-1" ).html( '<iframe id="" width="100%" height="500px;" frameborder="0" src="https://dni.optimizeperu.com/" name="">' );
        $( "#tabs-1" ).html( '<iframe id="" width="100%" height="500px;" frameborder="0" src="https://rutificadorperu.com/consultar-dni/" name="">' );
        //$( "#tabs-1" ).html( '<iframe id="" width="100%" height="500px;" frameborder="0" src="https://portaladminusuarios.reniec.gob.pe/validacionweb/index.html" name="">' );
    }
    if( index == 2 )
    {
        $( "#tabs-2" ).html( '<iframe id="" width="100%" height="500px;" frameborder="0" src="http://www.sunat.gob.pe/cl-ti-itmrconsruc/FrameCriterioBusquedaMovil.jsp" name="">' );
    }

    return false;
}

$( "#tab_1" ).trigger( "click" );

//se asigna persona natura por defecto
$( "#ClasePersona" ).val( "N" );
$( "#ClasePersona" ).trigger( "change" );
</script>

